# Module Resolution
All ScriptCraft mods have a folder called ```scriptcraft``` in the root of their JAR file, when ScriptCraft is loaded all of these are combined to form a single "virtual" root. It is recommended to use namespaces to avoid conflicts with other mods.

## Supported File Types
- ```.js```
- ```.mjs```
- ```.json```

## Extra Details
- If the import path is a folder, ScriptCraft will load the ```index``` file with one of the supported file types.
- If an extension does not exist in the import path it will look for a file with the same name and one of the supported extensions.